Bug 1018234 - [abrt] Mayavi-4.3.0-7.fc19: wxEvtHandler::SearchDynamicEventTable: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] Mayavi-4.3.0-7.fc19: wxEvtHandler::SearchDynamicEventTable: Process /u...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: Mayavi (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
https://github.com/enthought/mayavi/i...
abrt_hash:66bcbfccd4efd47d820518a7918...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 10:08 EDT by Alejandro Albanesi
Modified: 2015-02-18 06:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:35:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (77.54 KB, text/plain)
2013-10-11 10:08 EDT, Alejandro Albanesi
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-11 10:08 EDT, Alejandro Albanesi
no flags Details
File: core_backtrace (20.33 KB, text/plain)
2013-10-11 10:09 EDT, Alejandro Albanesi
no flags Details
File: dso_list (26.03 KB, text/plain)
2013-10-11 10:09 EDT, Alejandro Albanesi
no flags Details
File: environ (4.78 KB, text/plain)
2013-10-11 10:09 EDT, Alejandro Albanesi
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-11 10:09 EDT, Alejandro Albanesi
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-11 10:09 EDT, Alejandro Albanesi
no flags Details
File: maps (130.36 KB, text/plain)
2013-10-11 10:09 EDT, Alejandro Albanesi
no flags Details
File: open_fds (697 bytes, text/plain)
2013-10-11 10:09 EDT, Alejandro Albanesi
no flags Details
File: proc_pid_status (930 bytes, text/plain)
2013-10-11 10:09 EDT, Alejandro Albanesi
no flags Details
File: var_log_messages (9.16 KB, text/plain)
2013-10-11 10:09 EDT, Alejandro Albanesi
no flags Details

  None (edit)
Description Alejandro Albanesi 2013-10-11 10:08:48 EDT
Description of problem:
The Mayavi2 (3D scientific data visualization and plotting tool) crashes.

To reproduce it:

1) Open Mayavi2

2) Add a Data Source

3) Create a Point Load Source

4) Add module or filter

5) Click on Axes

After a few seconds, the program crashes. It happens every time. 

Version-Release number of selected component:
Mayavi-4.3.0-7.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/mayavi2
crash_function: wxEvtHandler::SearchDynamicEventTable
executable:     /usr/bin/python2.7
kernel:         3.11.3-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 wxEvtHandler::SearchDynamicEventTable at src/common/event.cpp:1412
 #1 wxEvtHandler::ProcessEvent at src/common/event.cpp:1297
 #3 wxScrollHelperEvtHandler::ProcessEvent at src/generic/scrlwing.cpp:208
 #4 wxEvtHandler::ProcessEvent at src/common/event.cpp:1308
 #6 gtk_window_button_press_callback at src/gtk/window.cpp:1634
 #7 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #12 gtk_widget_event_internal at gtkwidget.c:5017
 #13 gtk_widget_event at gtkwidget.c:4814
 #14 gtk_propagate_event at gtkmain.c:2490
 #15 gtk_main_do_event at gtkmain.c:1685
Comment 1 Alejandro Albanesi 2013-10-11 10:08:54 EDT
Created attachment 811139 [details]
File: backtrace
Comment 2 Alejandro Albanesi 2013-10-11 10:08:57 EDT
Created attachment 811140 [details]
File: cgroup
Comment 3 Alejandro Albanesi 2013-10-11 10:09:01 EDT
Created attachment 811141 [details]
File: core_backtrace
Comment 4 Alejandro Albanesi 2013-10-11 10:09:05 EDT
Created attachment 811142 [details]
File: dso_list
Comment 5 Alejandro Albanesi 2013-10-11 10:09:08 EDT
Created attachment 811143 [details]
File: environ
Comment 6 Alejandro Albanesi 2013-10-11 10:09:11 EDT
Created attachment 811144 [details]
File: exploitable
Comment 7 Alejandro Albanesi 2013-10-11 10:09:15 EDT
Created attachment 811145 [details]
File: limits
Comment 8 Alejandro Albanesi 2013-10-11 10:09:20 EDT
Created attachment 811146 [details]
File: maps
Comment 9 Alejandro Albanesi 2013-10-11 10:09:23 EDT
Created attachment 811147 [details]
File: open_fds
Comment 10 Alejandro Albanesi 2013-10-11 10:09:26 EDT
Created attachment 811148 [details]
File: proc_pid_status
Comment 11 Alejandro Albanesi 2013-10-11 10:09:30 EDT
Created attachment 811149 [details]
File: var_log_messages
Comment 12 Orion Poplawski 2013-10-16 11:13:36 EDT
Is there a reason you filed this bug as private?
Comment 13 Alejandro Albanesi 2013-10-16 11:17:48 EDT
No. I made a private report because the Bug Reporting Tool advised me to do so.

Feel free to make it public.

Regards, Alejandro
Comment 14 Orion Poplawski 2013-10-16 11:28:47 EDT
Hmm, I don't seem to be able to uncheck the private bug box.  Can you?
Comment 15 Alejandro Albanesi 2013-10-16 11:41:38 EDT
I am not able to uncheck the private option either. Maybe it is because it has been assigned?
Comment 16 Patrick Uiterwijk 2013-10-16 13:31:14 EDT
Making this bug public as per request, as there's no reason to keep this bug private.
Comment 17 Fedora End Of Life 2015-01-09 17:20:07 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2015-02-18 06:35:36 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.